Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.taglib
Class LoginTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.p13n.usermgmt.taglib.UserManagementTag
              com.bea.p13n.usermgmt.taglib.ResultTag
                  com.bea.p13n.usermgmt.taglib.LoginTag

All Implemented Interfaces:
  IterationTag, Serializable, Tag, UserManagementTagConstants

public class LoginTag
extends ResultTag

Corresponds to `<ugm:login>`.

The `<ugm:login>` tag provides weak authentication (username, password) against the current security realm, and sets the authenticated user as the current WebLogic user. The tag has no enclosed body.

Note: The login tag requires a "`username`" attribute and a "`password`" attribute to be present in the HTTP request.

Tag Attribute | Required | Type | Description
result | yes | String | The name of an Integer variable to which the result of the login operation is assigned. Possible Values: Success: `UserManagerTagConstants.LOGIN_OK` Authentication failed because of invalid username/password combination: `UserManagerTagConstants.LOGIN_FAILED` General error when performing authentication: `UserManagerTagConstants.LOGIN_ERROR` Example: "`if(result.intValue() == UserManagerTagConstants.USER_SEARCH_OK) // proceed`"

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.p13n.usermgmt.taglib.ResultTag
`result`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface com.bea.p13n.usermgmt.taglib.UserManagementTagConstants
`ADD_GROUP_FAILED, ADD_GROUP_OK, ADD_USER_FAILED, ADD_USER_OK, CREATE_GROUP_FAILED, CREATE_GROUP_OK, CREATE_USER_FAILED, CREATE_USER_OK, DEFAULT_SEARCH_EXP, DEFAULT_USER_LIMIT, GET_PROFILE_FAILED, GET_PROFILE_OK, GROUP_CHANGE_FAILED, GROUP_CHANGE_OK, GROUP_EXISTS, LOGIN_ERROR, LOGIN_FAILED, LOGIN_OK, NO_SUCH_PROFILE, NO_SUCH_SUCCESSOR, REMOVE_GROUP_FAILED, REMOVE_GROUP_OK, REMOVE_USER_FAILED, REMOVE_USER_OK, RESERVED_GROUP_NAME, RESERVED_USER_NAME, SET_PASSWORD_FAILED, SET_PASSWORD_OK, SET_PROPERTY_FAILED, SET_PROPERTY_OK, USER_EXISTS, USER_LIMIT_EXCEEDED, USER_SEARCH_FAILED, USER_SEARCH_OK`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`LoginTag()`

Method Summary
`int` | `doStartTag()` Authenticate the user against the realm

Methods inherited from class com.bea.p13n.usermgmt.taglib.ResultTag
`getResult, release, setResult`

Methods inherited from class com.bea.p13n.usermgmt.taglib.UserManagementTag
`getAtnManagerProxy`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoginTag

    public LoginTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Authenticate the user against the realm

  Throws:
    `JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved